# Uses of Class
org.apache.sysds.runtime.matrix.operators.QuaternaryOperator

Packages that use QuaternaryOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.matrix.data

## Uses of QuaternaryOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type QuaternaryOperator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`quaternaryOperations(QuaternaryOperator qop, MatrixBlock um, MatrixBlock vm, MatrixBlock wm, MatrixBlock out, int k)`

## Uses of QuaternaryOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type QuaternaryOperator
Modifier and Type
Method
Description
`final MatrixBlock`
MatrixBlock.`quaternaryOperations(QuaternaryOperator qop, MatrixBlock um, MatrixBlock vm, MatrixBlock wm, MatrixBlock out)`
`MatrixBlock`
MatrixBlock.`quaternaryOperations(QuaternaryOperator qop, MatrixBlock U, MatrixBlock V, MatrixBlock wm, MatrixBlock out, int k)`